
Redmine - Defect #36561

Wiki revision page does not return 404 if revision does not exist

2022-02-03 01:22 - . ¦3<RELATIVISM . 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 4.1.6   

Resolution: Fixed Affected version: 4.2.3

Description

BUG discovered in wiki revision paths

So like this page only has one revision 

https://redmine.replicant.us/projects/replicant-infrastructure/wiki/FilteringSpamOnTheMailingList/1

but https://redmine.replicant.us/projects/replicant-infrastructure/wiki/FilteringSpamOnTheMailingList/73 still loads

this can be done with all articles revision pages not just this one.

It is not possible with negative numbers though

Associated revisions

Revision 21413 - 2022-02-18 09:03 - Marius BĂLTEANU

Return 404 if revision URL doesn't exist (#36561).

Patch by Mizuki ISHIKAWA.

Revision 21418 - 2022-02-20 16:49 - Marius BĂLTEANU

Merged r21413 to 4.2-stable (#36561).

Revision 21419 - 2022-02-20 16:51 - Marius BĂLTEANU

Merged r21413 to 4.1-stable (#36561).

History

#1 - 2022-02-03 22:29 - Marius BĂLTEANU

- Status changed from New to Confirmed

#2 - 2022-02-10 13:15 - Holger Just

- Subject changed from BUG with revision urls to Bug with revision URLs of wiki pages

#3 - 2022-02-14 09:05 - Mizuki ISHIKAWA

- File defect-36561.patch added

I attached a patch to return 404 when a non-existent revision number is specified.

404: The page you were trying to access doesn't exist or has been removed.

#4 - 2022-02-14 11:35 - . ¦3<RELATIVISM . 

that is great thanks! I will test in our instance if possible

#5 - 2022-02-17 22:08 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to 4.1.6

#6 - 2022-02-18 09:10 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

2025-05-02 1/2

https://redmine.replicant.us/projects/replicant-infrastructure/wiki/FilteringSpamOnTheMailingList/1
https://redmine.replicant.us/projects/replicant-infrastructure/wiki/FilteringSpamOnTheMailingList/73


- Resolution set to Fixed

Fix committed, thanks!

#7 - 2022-02-20 16:54 - Marius BĂLTEANU

- Subject changed from Bug with revision URLs of wiki pages to Wiki revision page does not return 404 if revision does not exist

- Status changed from Resolved to Closed

Files

defect-36561.patch 1.94 KB 2022-02-14 Mizuki ISHIKAWA
